Bug 32356 - Missing "localization" for Oxygen icon set
Summary: Missing "localization" for Oxygen icon set
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.3.0 RC1
Hardware: x86-64 (AMD64) Linux (All)
: low normal
Assignee: Lubos Lunak
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-13 12:53 UTC by RGB
Modified: 2011-04-30 13:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Picture with the mix of crystal and oxygen icons, present only on Spanish localization (3.04 KB, image/png)
2010-12-13 12:53 UTC, RGB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description RGB 2010-12-13 12:53:00 UTC
Created attachment 41084 [details]
Picture with the mix of crystal and oxygen icons, present only on Spanish localization

When using Oxygen icon set on a Spanish install of LibO (but I guess it is the same for other locales different from English), some icons are wrongly picked from crystal icon set. 
Inside the file /opt/LibreOffice/basis3.3/share/config/images_oxygen.zip there is a folder /res/commandimagelist/es with replacements for
bold, italics and underline icons. They are wrong in two sences: 
- They are from crystal icon set
- They show a B instead of an N (for "negrita"), an I instead of a C (for
"cursiva") and a U instead of an S (for "subrayado").
Attached there is an image showing the wrong mixture.
Looking at other localization folder inside commandimagelist folder, almost all (if not all) localizations are wrong.
Comment 1 Cédric Bosdonnat 2010-12-14 01:15:15 UTC
Petr, could you have a look at this one?
Comment 2 Petr Mladek 2011-01-10 05:16:47 UTC
Kendy, could you please have a look? I think that you have already played with it recently.
Comment 3 Jan Holesovsky 2011-01-26 03:07:21 UTC
Lubos, can you please take over?  Are there Spanish versions of the Oxygen icons out there?
Comment 4 Lubos Lunak 2011-02-09 05:05:44 UTC
As far as I can judge, the Oxygen icon set is not localized in any way, so you'll need to first complain upstream at http://bugs.kde.org .
Comment 5 RGB 2011-02-09 12:49:06 UTC
(In reply to comment #4)
> As far as I can judge, the Oxygen icon set is not localized in any way, so
> you'll need to first complain upstream at http://bugs.kde.org .

In that case, please don't add the folders /res/commandimagelist/XX on the images_oxygen.zip package: I don't care if a "B" is shown, but those yellow framed icons do not fit with the rest of the toolbar ;)
Comment 6 Lubos Lunak 2011-02-14 07:49:17 UTC
The use of Crystal icons for localized images has already been fixed for next version.
Comment 7 RGB 2011-04-30 13:41:33 UTC
(In reply to comment #6)
> The use of Crystal icons for localized images has already been fixed for next
> version.

I can see this on 3.4 beta 3. Thanks! Changing status to RESOLVED → FIXED